#ifndef BOOSTING_MACHINE_INC
#define BOOSTING_MACHINE_INC

#include "Trainer.h"

class BoostingMachine : public Machine
{
  public:

    Trainer **trainers;
    List **trainers_measurers;
    int n_trainers;
    real *weights;

    BoostingMachine(Trainer **trainer_, int n_trainers_, List **trainers_measurers);

    virtual void forward(List *inputs);

    virtual void init();
    virtual void reset();
    virtual void loadFILE(FILE *file);
    virtual void saveFILE(FILE *file);

    virtual ~BoostingMachine();
};

#endif
