#include "BoostingMeasurer.h"
#include "DataSet.h"

BoostingMeasurer::BoostingMeasurer(FILE *file_) : Measurer(NULL, file_)
{
  weights = NULL;
  inputs = NULL;
  status = NULL;
}

BoostingMeasurer::BoostingMeasurer(const char *filename) : Measurer(NULL, filename)
{
  weights = NULL;
  inputs = NULL;
  status = NULL;
}

void BoostingMeasurer::setData(DataSet *data_)
{
  data = data_;
  status = (int *)xrealloc(status, sizeof(int)*data->n_examples);
}

void BoostingMeasurer::setWeights(real *weights_)
{
  weights = weights_;
}

void BoostingMeasurer::setInputs(List *inputs_)
{
  inputs = inputs_;
}

BoostingMeasurer::~BoostingMeasurer()
{
  free(status);
}
