// Couche sinus pour les GradientMachine
// Le nombre d'entrees/de sorties correspond au
// nombre d'unitees de cette machine
// Formellement parlant, ouputs[i] = sin(inputs[i])
//

#ifndef SIN_INC
#define SIN_INC

#include "GradientMachine.h"

class Sin : public GradientMachine
{
  public:

    // Cree une couche de taille <n_units>
    Sin(int n_units);

    virtual int numberOfParams();
    virtual void forward(List *inputs);
    virtual void backward(List *inputs, real *alpha);

    virtual ~Sin();
};

#endif
