#ifndef THRESHOLD_TWO_CLASS_FORMAT_INC
#define THRESHOLD_TWO_CLASS_FORMAT_INC

#include "TwoClassFormat.h"

/** Define a two class code with threshold.

    @author Samy Bengio (bengio@idiap.ch)
*/
class ThresholdTwoClassFormat : public TwoClassFormat
{
  public:
    real threshold;

    /// Autodetect classes
    ThresholdTwoClassFormat(DataSet *data, real threshold_=0);

    /// Give the label of the classes
    ThresholdTwoClassFormat(real class_1, real class_2, real threshold_=0);

    virtual void setThreshold(real threshold_);
    virtual int getOutputClass(List *outputs);

    virtual ~ThresholdTwoClassFormat();
};

#endif
