#ifndef IMAGE_SEQ_DATASET_INC
#define IMAGE_SEQ_DATASET_INC

#include "SeqDataSet.h"
#include "StdDataSet.h"


/** This class enable to read sequences (hence inherits from #SeqDataSet#)
    from images. It supposes that an image is given as a vector of real
    and that an observation is only one of those real.
   
   @author Samy Bengio (samy.bengio@idiap.ch)
 */
class ImageSeqDataSet : public SeqDataSet
{
  public :

    ImageSeqDataSet(real* data, int n_data_);
    
    virtual ~ImageSeqDataSet();

    virtual void freeMemory();

};

#endif     
