#include "EuclideanDataSet.h"

EuclideanDataSet::EuclideanDataSet()
{
}

real EuclideanDataSet::dotProduct(int i, int j)
{
  if(select_examples)
    return(realRealDotProduct(selected_examples[i], selected_examples[j]));
  else
    return(realRealDotProduct(i, j));
}

real EuclideanDataSet::dotProduct(int i, List *y)
{
  if(select_examples)
    return(realDotProduct(selected_examples[i], y));
  else
    return(realDotProduct(i, y));
}

real EuclideanDataSet::realDotProduct(int i, int j)
{
  if(select_examples)
    return(realRealDotProduct(i, selected_examples[j]));
  else
    return(realRealDotProduct(i, j));
}

EuclideanDataSet::~EuclideanDataSet()
{
}
