#include "GMTrainer.h"

GMTrainer::GMTrainer(GradientMachine *g_machine_, DataSet *data_,
                     Criterion *criterion_, Optimizer *optimizer_) : Trainer(g_machine_, data_)
{
  // Boaf
  g_machine = g_machine_;
  criterion = criterion_;
  optimizer = optimizer_;  
}

void GMTrainer::train(List *measurers)
{
  // Links
  criterion->setDataSet(data);
  optimizer->setMachine(g_machine);
  optimizer->setDataSet(data);
  optimizer->setCriterion(criterion);

  optimizer->train(measurers);
}

GMTrainer::~GMTrainer()
{
}
