#include "Measurer.h"
#include "DataSet.h"

Measurer::Measurer(DataSet *data_, FILE *file_)
{
  measure = NULL;
  file = file_;
  file_is_opened = false;
  data = data_;
}

Measurer::Measurer(DataSet *data_, const char *filename)
{
  measure = NULL;
  if( (file = fopen(filename, "w")) == NULL)
    error("Measurer: cannot open the file <%s>", filename);
  file_is_opened = true;
  data = data_;
}

void Measurer::init()
{
}

void Measurer::reset()
{
}

void Measurer::measureEx()
{
}

void Measurer::measureIter()
{
}

void Measurer::measureEnd()
{
}

Measurer::~Measurer()
{
  if(file_is_opened)
    fclose(file);
}
