#ifndef MATRIX_INC
#define MATRIX_INC

/* Includes when you're using the "matrix" package.

   @author Ronan Collobert (collober@iro.umontreal.ca)
*/

#include "Mat.h"
#include "Mat_operations.h"
#include "Perm.h"
#include "Perm_operations.h"
#include "Vec.h"
#include "mx_low_level.h"
#include "mx_lu_factor.h"
#include "mx_solve.h"
#include "mx_householder.h"
#include "mx_hessenberg.h"
#include "mx_givens.h"
#include "mx_sym_eig.h"

#endif
