/*
        globalvideo.h
	
	Copyright (C) 2002 Sebastien Marcel (marcel@idiap.ch)

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include "audio-video.h"

namespace GlobalVideo
{
// Video header
extern struct VideoHeader videoheader;

// Header and Frame pipe
extern int qosPipe;
extern int framePipe;

// Current frame number (video timecode)
extern int framenumber;
extern unsigned char *frameBuffer; 

// Size of images in video
extern int image_width;
extern int image_height;

// Current rgb image
extern short *frameRgb;

// Current gray image in float
extern float *frameReal;

// Save individual ppm file 
extern bool bSavePPM;
}
