#ifndef BOOSTING_INC
#define BOOSTING_INC

#include "Trainer.h"
#include "Measurer.h"
#include "BoostingMachine.h"
#include "BoostingMeasurer.h"

class Boosting : public Trainer
{
  public:

    BoostingMachine *b_machine;
    BoostingMeasurer *measurer;

    // for each trainer, keep the indices of examples not used during training
    int n_trainers;
    real *weights;

    Boosting(BoostingMachine *b_machine_, DataSet* data_, BoostingMeasurer *measurer_);

    virtual void train(List *measurers);

    virtual ~Boosting();
};

#endif
