// This is used for measuring ce que vous voulez...
// Habituellement ce sont les Trainer qui appellent
// les measurers.
// Le DataSet associe au measurer permet de savoir
// quand celui-ci doit etre appele.
// (si le DataSet est celui de train, le measurer
// sera appele lors de la phase de train...)

#ifndef BOOSTING_MEASURER_INC
#define BOOSTING_MEASURER_INC

#include "Measurer.h"
#include "List.h"

class BoostingMeasurer : public Measurer
{
  public:
    List *inputs;
    real *weights;
    real beta;
    int *status;

    BoostingMeasurer(FILE *file_);
    BoostingMeasurer(const char *filename);

    virtual void setData(DataSet *data_);
    virtual void setWeights(real *weights_);
    virtual void setInputs(List *inputs_);

    //-----

    virtual ~BoostingMeasurer();
};

#endif
