#include "EditDistanceMeasurer.h"

EditDistanceMeasurer::EditDistanceMeasurer(EditDistance *edit_, DataSet *data_, FILE *file_) : Measurer(data_, file_)
{
  edit = edit_;
  sum = new EditDistance();
}

EditDistanceMeasurer::EditDistanceMeasurer(EditDistance *edit_, DataSet *data_, const char *filename) : Measurer(data_, filename)
{
  edit = edit_;
  sum = new EditDistance();
}

void EditDistanceMeasurer::measureEx()
{
  edit->print(file,true);
  sum->add(edit);
}

void EditDistanceMeasurer::measureIter()
{
  sum->print(file,false);
  sum->printRatio(file);
}

void EditDistanceMeasurer::init()
{
  Measurer::init();
  reset();
}

void EditDistanceMeasurer::reset()
{
  sum->reset();
}

EditDistanceMeasurer::~EditDistanceMeasurer()
{
  delete sum;
}

