#ifndef TWO_CLASS_CONFIDENCE_BAG_MEASURER_INC
#define TWO_CLASS_CONFIDENCE_BAG_MEASURER_INC

#include "Measurer.h"
#include "DataSet.h"
#include "BaggingMachine.h"

class TwoClassConfidenceBagMeasurer : public Measurer
{
  public:

    real tabclasses[2];

    BaggingMachine* b_machine;

    DataSet *data;

    TwoClassConfidenceBagMeasurer(BaggingMachine *b_machine_, DataSet *data_, FILE *file_);
    TwoClassConfidenceBagMeasurer(BaggingMachine *b_machine_, DataSet *data_, const char *filename);

    virtual void init();
    virtual void reset();
    virtual void measureEx();
    virtual void measureIter();

    virtual ~TwoClassConfidenceBagMeasurer();
};

#endif
