#include "VectorMeasurer.h"

VectorMeasurer::VectorMeasurer(real *inputs_, int n_inputs_, DataSet *data_, FILE *file_) : Measurer(data_, file_)
{
  inputs = inputs_;
  n_inputs = n_inputs_;

  reset();
}

VectorMeasurer::VectorMeasurer(real *inputs_, int n_inputs_, DataSet *data_, const char *filename) : Measurer(data_, filename)
{
  inputs = inputs_;
  n_inputs = n_inputs_;

  reset();
}

void VectorMeasurer::measureIter()
{
  real *in = inputs;
  for (int i=0;i<n_inputs;i++)
    fprintf(file, "%g ", *in++);
  fprintf(file,"\n");
  fflush(file);
  reset();
}

void VectorMeasurer::init()
{
  Measurer::init();
  reset();
}

void VectorMeasurer::reset()
{
}

VectorMeasurer::~VectorMeasurer()
{
}

