#include <string.h>
#ifndef STRING_H
#define STRING_H

/** Some simple functions for string operations.

    @author Samy Bengio (bengio@idiap.ch)
    @author Johnny Mariethoz (Johnny.Mariethoz@idiap.ch)
*/
//@{
/// returns the name of a file without leading pathname
char *baseName(char *filename);

/** returns a fresh copy of the name of a file without suffix 
    (trailing chars after c)
*/
char *removeSuffix(char *filename, char c='.');
//@}
#endif
