#ifndef PERM_INC
#define PERM_INC

#include "Object.h"
#include "Perm.h"

/** Permutation object.
    
    @author Ronan Collobert (collober@iro.umontreal.ca)
*/
class Perm : public Object
{ 
  public:
    /// Size of the permutation
    int n;
    
    /// Data of the permutation
    int *ptr;
    
    /// Create a new permutation
    Perm(int n_dim);
    
    /// Copy the permutation #perm#
    void copy(Perm * perm);
    
   ~Perm();
};

#endif
